[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TUnDockEvent

The type used for OnUnDock event handler.

## Declaration

Source position: controls.pp line 576

`type TUnDockEvent = procedure(`
`Sender: TObject;`
`Client: TControl;`
`NewTarget: TWinControl;`
`var Allow: Boolean`
`) of object;`

## Arguments

`Sender` |  | The docksite from which the object is undocked.
`Client` |  | The control to be undocked.
`NewTarget` |  | The new docksite for Client, Nil when undocked into floating state.
`Allow` |  | Set Allow to False to reject undocking.

## Description

An UnDock event is sent by a dock site, and occurs before a control is undocked. The handler can reject undocking, by setting Allow to False.